Summary: Library for DES encryption
Name: libdes
%define version 4.04b
Version: %{version}
Release: 1
Copyright: Copyrighted / Free for commercial or non-commercial use
Group: Libraries
Source: ftp://ftp.psy.uq.oz.au/pub/Crypto/DES/libdes-%{version}.tar.gz
Patch0: libdes-4.04b-config.patch
Patch1: libdes-4.01-alpha.patch
Patch2: libdes-4.04b-i386.patch
Patch3: libdes-4.04b-sparc.patch
BuildRoot: /tmp/libdes-root
Packager: Jan "Yenya" Kasprzak <kas@fi.muni.cz>
# Original packager is probably macro@amg.gda.pl

%description
This kit builds a DES encryption library and a DES encryption program.
It supports ecb, cbc, ofb, cfb, triple ecb, triple cbc, triple ofb, 
triple cfb, and MIT's pcbc encryption modes and also has a fast implementation
of crypt(3). It contains support routines to read keys from a terminal,
generate a random key, generate a key from an arbitrary length string,
read/write encrypted data from/to a file descriptor. 
The implementation was written so as to conform with the manual entry
for the des_crypt(3) library routines from MIT's project Athena.

%prep
%setup -n des
%patch0 -p1
%ifarch alpha
%patch1 -p1
%endif
%ifarch i386
%patch2 -p1
%endif
%ifarch sparc
%patch3 -p1
%endif

%build
%ifarch i386
make CFLAG="$RPM_OPT_FLAGS" -f Makefile x86-elf
%else
make CFLAG="$RPM_OPT_FLAGS" -f Makefile gcc
%endif

%install
install -d -m 755 $RPM_BUILD_ROOT/usr/bin
install -d -m 755 $RPM_BUILD_ROOT/usr/include
install -d -m 755 $RPM_BUILD_ROOT/usr/lib
install -d -m 755 $RPM_BUILD_ROOT/usr/man/man1
install -d -m 755 $RPM_BUILD_ROOT/usr/man/man3
make -f Makefile RPM_BUILD_ROOT=$RPM_BUILD_ROOT install 
strip $RPM_BUILD_ROOT/usr/bin/des

%files
%attr (-, root, root) %doc COPYRIGHT MODES.DES README VERSION
%attr (-, root, root) /usr/bin/des
%attr (-, root, root) /usr/include/des.h
%attr (-, root, root) /usr/lib/libdes.a
%attr (-, root, root) /usr/man/man3/des_crypt.3
%attr (-, root, root) /usr/man/man1/des.1

%changelog
* Sat Jan 16 1999 Jan "Yenya" Kasprzak <kas@fi.muni.cz>
- updated to libdes-4.04b.
- added RPM_OPT_FLAGS to Make.
- added SPARC support
